summary refs log tree commit diff
path: root/.local/share/darkman/mako.sh
diff options
context:
space:
mode:
Diffstat (limited to '.local/share/darkman/mako.sh')
-rwxr-xr-x.local/share/darkman/mako.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/share/darkman/mako.sh b/.local/share/darkman/mako.sh
new file mode 100755
index 0000000..dd50242
--- /dev/null
+++ b/.local/share/darkman/mako.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+dark)
+	echo "include=~/.config/mako/colors-dark" > ~/.config/mako/colors
+	makoctl reload
+	;;
+light)
+	echo "include=~/.config/mako/colors-light" > ~/.config/mako/colors
+	makoctl reload
+	;;
+default) exit 1 ;;
+esac